Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface StringMonitorMBean

All Superinterfaces:
  MonitorMBean

All Known Implementing Classes:
  StringMonitor

public interface StringMonitorMBean
extends MonitorMBean

The string monitor service MBean interface.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock

Method Summary
`String` | `getDerivedGauge()` Deprecated. use `getDerivedGauge(ObjectName)`
`String` | `getDerivedGauge(ObjectName name)` Retrieves the derived gauge.
`long` | `getDerivedGaugeTimeStamp()` Deprecated. use `getDerivedGaugeTimeStamp(ObjectName)`
`long` | `getDerivedGaugeTimeStamp(ObjectName name)` Retrieves the derived gauge timestamp.
`boolean` | `getNotifyDiffer()` Retrieves the differs on/off switch.
`boolean` | `getNotifyMatch()` Retrieves the matching on/off switch.
`String` | `getStringToCompare()` Retrieves the string to compare with the observed attribute.
`void` | `setNotifyDiffer(boolean value)` Sets the differs on/off switch.
`void` | `setNotifyMatch(boolean value)` Sets the matching on/off switch.
`void` | `setStringToCompare(String value)` Sets the string to compare with the observed attribute.

Methods inherited from interface javax.management.monitor.MonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject, start, stop`

Method Detail

### getDerivedGauge

    public String getDerivedGauge()

  Deprecated. use `getDerivedGauge(ObjectName)`

  Retrieves the derived gauge.

  Returns:
    the derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp()

  Deprecated. use `getDerivedGaugeTimeStamp(ObjectName)`

  Retrieves the derived gauge timestamp.

  Returns:
    the derived gauge timestamp.

### getDerivedGauge

    public String getDerivedGauge(ObjectName name)

  Retrieves the derived gauge.

  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(ObjectName name)

  Retrieves the derived gauge timestamp.

  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge timestamp.

### getStringToCompare

    public String getStringToCompare()

  Retrieves the string to compare with the observed attribute.

  Returns:
    the comparison string.

### setStringToCompare

    public void setStringToCompare(String value)
                            throws IllegalArgumentException

  Sets the string to compare with the observed attribute.

  Parameters:
    `value` - the comparison string.
  Throws:
    `IllegalArgumentException` - when specified string is null.

### getNotifyMatch

    public boolean getNotifyMatch()

  Retrieves the matching on/off switch.

  Returns:
    true if the notification occurs when the string matches, false otherwise.

### setNotifyMatch

    public void setNotifyMatch(boolean value)

  Sets the matching on/off switch.

  Parameters:
    `value` - pass true for a notification when the string matches, false otherwise.

### getNotifyDiffer

    public boolean getNotifyDiffer()

  Retrieves the differs on/off switch.

  Returns:
    true if the notification occurs when the string differs, false otherwise.

### setNotifyDiffer

    public void setNotifyDiffer(boolean value)

  Sets the differs on/off switch.

  Parameters:
    `value` - pass true for a notification when the string differs, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.